---
layout: page
title: proxmox_virtual_environment_metrics_server
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves information about a specific PVE metric server.
---

# Data Source: proxmox_virtual_environment_metrics_server

Retrieves information about a specific PVE metric server.

## Example Usage

```terraform
data "proxmox_virtual_environment_metrics_server" "example" {
  name = "example_influxdb"
}

output "data_proxmox_virtual_environment_metrics_server" {
  value = {
    server = data.proxmox_virtual_environment_metrics_server.example.server
    port   = data.proxmox_virtual_environment_metrics_server.example.port
  }
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) Unique name that will be ID of this metric server in PVE.

### Read-Only

- `disable` (Boolean) Indicates if the metric server is disabled.
- `id` (String) The unique identifier of this resource.
- `port` (Number) Server network port.
- `server` (String) Server dns name or IP address.
- `type` (String) Plugin type. Either `graphite` or `influxdb`.
